GNU bug report logs - #21113
emacs Inaccessibility to Screen reader(orca)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: important; Reported by: Ali Abdul Ghani <blade.vp2020@HIDDEN>; dated Wed, 22 Jul 2015 15:28:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'important' from 'normal' Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 21113 <at> debbugs.gnu.org:


Received: (at 21113) by debbugs.gnu.org; 2 Sep 2016 23:32:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 02 19:32:39 2016
Received: from localhost ([127.0.0.1]:48079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bfxwt-0002wa-CF
	for submit <at> debbugs.gnu.org; Fri, 02 Sep 2016 19:32:39 -0400
Received: from mail-it0-f47.google.com ([209.85.214.47]:36856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1bfxws-0002wG-5Z; Fri, 02 Sep 2016 19:32:38 -0400
Received: by mail-it0-f47.google.com with SMTP id i184so64714316itf.1;
 Fri, 02 Sep 2016 16:32:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=pnklKmaLp8sGhknWB4yHtg4ZuWXSRQPdkBHA2mAJrVw=;
 b=q6zDOKZ+ndooE+s3+BbjiR/cLYDvdqsPTzwWbP37ZGY500Fk+e4eRq2ssos4z1j2Oz
 Gz7S/vUnX4eqPatMU/9KnFqCjlN4niYe4B6KnwOrvLuIRDZvWmiS1Y//Xd4iJyzh4dq6
 zvuOSDF8cZhmKnFZ5okMcIRjKpIqEgtxbEZoxRMZS2Kf1w9eRKpzLmz87XpnUG1TORaZ
 3CBebuqcNIXBGfOXJSQHQIGnwj+l7xJUQmWEu0/WewMQXaENs8/nz7ZyeaPWOrcwHZfu
 XGjtS2NXpgsDugOW3s8M7mxxwe44eTSTF8CUJX0d3uycZZFOJgtwcbb+fk+4pk/2phfi
 tZaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=pnklKmaLp8sGhknWB4yHtg4ZuWXSRQPdkBHA2mAJrVw=;
 b=Pt2MlHtq6mBU4kg5pyPtJSsEdqSsBknsLQFy9RB6O2nId9IrIdkkQfzwgfMw1+6lY+
 h0OS71QefCZPv1AxRw4D66G5tjy5pUSbpRCOBOWRAWubJ5TghC3ZegdW0R7HLcYFEDtL
 4y6xFiOp9PGl99dCG7x+0oxE2hl/Qz0GyMyca+tLf4YwEV7KgQP0Eov7PhQtvpnKWj/e
 weIcbJLzvt+gavc37aQYCNE0864ONuTlKCTd/96soiwK5i525qT6JR/gXUmEOQoPD/sw
 tTwK7m06R+tPypRpwAYWdLHBhOfTzOK7cveayTomz0g1TcHTKLyTTQ6yiU4rhBNqi9nd
 7hGA==
X-Gm-Message-State: AE9vXwMoRG7dWB6rJaFCJWN29p2OFJi3C3ItUydhe/dKwVLBiTOr+N4mdUeTrzrvQlN13A==
X-Received: by 10.107.59.205 with SMTP id i196mr1981961ioa.61.1472859152599;
 Fri, 02 Sep 2016 16:32:32 -0700 (PDT)
Received: from zony ([45.2.7.130])
 by smtp.googlemail.com with ESMTPSA id 88sm658043iog.43.2016.09.02.16.32.31
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 02 Sep 2016 16:32:32 -0700 (PDT)
From: npostavs@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#21113: emacs Inaccessibility to Screen reader(orca)
References: <CAHWa5ufx0xfY7QG=wAdXp3jF6Bz1=qB3ZduPDi3mN8-MBc2jsA@HIDDEN>
 <877fcpf2xi.fsf@HIDDEN>
 <8760qfovjg.fsf@HIDDEN> <ppshtic2jm.fsf@HIDDEN>
Date: Fri, 02 Sep 2016 19:32:53 -0400
In-Reply-To: <ppshtic2jm.fsf@HIDDEN> (Glenn Morris's message of
 "Fri, 02 Sep 2016 01:07:41 -0400")
Message-ID: <87r391op22.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21113
Cc: Ali Abdul Ghani <blade.vp2020@HIDDEN>, 21113 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

# restoring severity from before mistake merge
severity 21113 important
quit

Glenn Morris <rgm@HIDDEN> writes:

> npostavs@HIDDEN wrote:
>
>>> I can't tell what is meant by "emacs inaccessibility" exactly.  Is this
>>> bug the same as #1015, and #4103 (Emacs gtk hangs Orca)?.
>>
>> I will assume yes.
>
> I don't think this has anything to do with 1015.
> It seems pretty clear to me from the original report.
>
> When run in graphical mode, Emacs is not accessible to the Orca screen reader.
> Ie, Orca cannot read the text in Emacs.
>
> One has to run "emacs -nw" in eg a gnome-terminal to get things to work.
>
> Ref eg https://mail.gnome.org/archives/orca-list/2015-October/msg00278.html

Oh, I see, the term "accessibility" has a very particular meaning in the
context of screen readers (I had thought it was just odd word choice in
the original report).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21113; Package emacs. Full text available.
Unset bug forwarded-to-address Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) unreproducible. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Disconnected #21113 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21113 <at> debbugs.gnu.org:


Received: (at 21113) by debbugs.gnu.org; 2 Sep 2016 05:08:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 02 01:08:05 2016
Received: from localhost ([127.0.0.1]:46863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bfghx-0000jh-7v
	for submit <at> debbugs.gnu.org; Fri, 02 Sep 2016 01:08:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48743)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1bfghv-0000j8-FX
 for 21113 <at> debbugs.gnu.org; Fri, 02 Sep 2016 01:08:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1bfghp-00083y-Ak
 for 21113 <at> debbugs.gnu.org; Fri, 02 Sep 2016 01:07:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.4 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48181)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1bfghd-0007rX-EB; Fri, 02 Sep 2016 01:07:45 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1bfghZ-0004zs-W3; Fri, 02 Sep 2016 01:07:42 -0400
From: Glenn Morris <rgm@HIDDEN>
To: npostavs@HIDDEN
Subject: Re: bug#21113: emacs Inaccessibility to Screen reader(orca)
References: <CAHWa5ufx0xfY7QG=wAdXp3jF6Bz1=qB3ZduPDi3mN8-MBc2jsA@HIDDEN>
 <877fcpf2xi.fsf@HIDDEN>
 <8760qfovjg.fsf@HIDDEN>
X-Spook: ETA Extremism FAMS Pirates Smart Crash espionage Snow
X-Ran: (sm:9zW68GadaJCZR~E?,`7MXQrd|Y|MMg*2]P=G+Pdu:s'WZTYTuQP?P51PuG'UvF6&g/
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 02 Sep 2016 01:07:41 -0400
In-Reply-To: <8760qfovjg.fsf@HIDDEN>
 (npostavs@HIDDEN's message of "Thu, 01 Sep 2016
 23:00:35 -0400")
Message-ID: <ppshtic2jm.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: 21113
Cc: 21113 <at> debbugs.gnu.org, Ali Abdul Ghani <blade.vp2020@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.5 (------)

npostavs@HIDDEN wrote:

>> I can't tell what is meant by "emacs inaccessibility" exactly.  Is this
>> bug the same as #1015, and #4103 (Emacs gtk hangs Orca)?.
>
> I will assume yes.

I don't think this has anything to do with 1015.
It seems pretty clear to me from the original report.

When run in graphical mode, Emacs is not accessible to the Orca screen reader.
Ie, Orca cannot read the text in Emacs.

One has to run "emacs -nw" in eg a gnome-terminal to get things to work.

Ref eg https://mail.gnome.org/archives/orca-list/2015-October/msg00278.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21113; Package emacs. Full text available.
Forcibly Merged 1015 4103 21113. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 21113 <at> debbugs.gnu.org:


Received: (at 21113) by debbugs.gnu.org; 2 Sep 2016 03:00:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 23:00:27 2016
Received: from localhost ([127.0.0.1]:46808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bfeiR-0001Cb-9h
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2016 23:00:27 -0400
Received: from mail-it0-f53.google.com ([209.85.214.53]:37650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1bfeiP-000155-Sj; Thu, 01 Sep 2016 23:00:26 -0400
Received: by mail-it0-f53.google.com with SMTP id e124so15772924ith.0;
 Thu, 01 Sep 2016 20:00:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=tcNPl3FiDF5vNKun8bDgJjMwp2RnzXSGxG67OU9aZwY=;
 b=GK+DSrqwVlGsnYvSbZU9zp4/ygWNhZJDcb4bp+2OHcIzXCUpa6lJ5cnRNeG666NJEP
 U1u4CEXFIjEEx6o9pGHSwE42fpAGgHL8pL4m7tTfLHdtbVmD7dGlyQe4DrmKEJvSM04o
 X56f2A6wpKYCmlwZFR687cRdH6NASBVLGuspU/bjxlPH4JJOW5Wt0fkOBopQcs4knkeg
 J2ET0jVARpTPT0dGi+CUHURsLL7Of4Jer2vthzrqXH0YQ4ccZf2U2s2F+/Bx3Ao8/XzT
 olYkCNWQW3cJixHtgpoSyjP/PzTIYoX1l8UmeGmDysAndRz7FiWHp/EyZeRPAw+6R9lZ
 j9PQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=tcNPl3FiDF5vNKun8bDgJjMwp2RnzXSGxG67OU9aZwY=;
 b=N0beolf3WKuBgzyjtJPd0+0R51+qsBcBm4+MdmC7eMn6nvcJt7qsJJ70Q4ypl/jcM7
 7/Muz5h6FItIrzDJAo/NqSoQ16/yQ1qhp9Zf1USGkY/aWFEcTBi3kBfJmPTUWC3Afjut
 FN4sBr5shmv+Wzxt/IS2xpWZzFI2H1SA/4fsgvOEWPCEBxpgQTNRN5CFTu36liGtAB9L
 yQeZF8f+zS1xODnqP1dsnafDMvWhImiaALa+fist2MSBq3fuusPSezLb8m9WVY34VXrH
 gxx2SCootz5s8KyPe85tot6m+KpvvFwExc9vfrMJWQjd304K1QF65bb2nZvqJro6BPWj
 BTfw==
X-Gm-Message-State: AE9vXwN5ID3VgMokUA6kFyzswsEsx3b+foMY/3LZBusDNZ6oPJL8WbZWyUCayD6j3UKu4A==
X-Received: by 10.36.217.131 with SMTP id p125mr1738685itg.46.1472785220523;
 Thu, 01 Sep 2016 20:00:20 -0700 (PDT)
Received: from zony ([45.2.7.130])
 by smtp.googlemail.com with ESMTPSA id z125sm4393072itc.0.2016.09.01.20.00.19
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 01 Sep 2016 20:00:19 -0700 (PDT)
From: npostavs@HIDDEN
To: Ali Abdul Ghani <blade.vp2020@HIDDEN>
Subject: Re: bug#21113: emacs Inaccessibility to Screen reader(orca)
References: <CAHWa5ufx0xfY7QG=wAdXp3jF6Bz1=qB3ZduPDi3mN8-MBc2jsA@HIDDEN>
 <877fcpf2xi.fsf@HIDDEN>
Date: Thu, 01 Sep 2016 23:00:35 -0400
In-Reply-To: <877fcpf2xi.fsf@HIDDEN>
 (npostavs@HIDDEN's message of "Wed, 13 Jul 2016 21:01:29
 -0400")
Message-ID: <8760qfovjg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 21113
Cc: 21113 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

unarchive 1015
forcemerge 1015 21113
quit

npostavs@HIDDEN writes:

> Ali Abdul Ghani <blade.vp2020@HIDDEN> writes:
>
>> hi all
>> emacs Inaccessibility to Screen reader(orca)
>
> I can't tell what is meant by "emacs inaccessibility" exactly.  Is this
> bug the same as #1015, and #4103 (Emacs gtk hangs Orca)?.

I will assume yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21113; Package emacs. Full text available.

Message received at 21113 <at> debbugs.gnu.org:


Received: (at 21113) by debbugs.gnu.org; 14 Jul 2016 01:01:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 13 21:01:38 2016
Received: from localhost ([127.0.0.1]:50341 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bNV22-0006ea-32
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2016 21:01:38 -0400
Received: from mail-io0-f182.google.com ([209.85.223.182]:33947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1bNV21-0006eN-0P
 for 21113 <at> debbugs.gnu.org; Wed, 13 Jul 2016 21:01:37 -0400
Received: by mail-io0-f182.google.com with SMTP id q83so62496171iod.1
 for <21113 <at> debbugs.gnu.org>; Wed, 13 Jul 2016 18:01:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=qgX8mlrQLn4JlM+sWY+drr3LUmWp16dIEOr1AQVd/l0=;
 b=yqMw3MWGfLfk0sak4zpmsBoeUMLhwxT66c5FbA9BcWhHA6xajf2uVz0zYMF8D4eERw
 Fu0QptRGJoNf9v4xAv/lWyy+QRMHTIDvUdx58yrDCOb6w0K0f1P8ZUzS+6rE4mowg5Q5
 e2xitTXrNnga48SHL6in5dHvjZNIsn+Kws0/PFBsB0E/015U6Mj953tGiEbjOjFR3eyN
 49FzihF0xB0Ad1Yossz+UDJHqkomEq/nS3vH+HDPEqSHN9lQjpqT2xj+Ub7E6BUofotq
 6Y/ZfhQ+2ssHvZ9ZFQ/i93JfeKw9v4u5xTeKH+5s4ESWem1lUZ2oGpm+VX1EQsYYSc3h
 HwdQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=qgX8mlrQLn4JlM+sWY+drr3LUmWp16dIEOr1AQVd/l0=;
 b=LB4HA191/bixoO6qLduvrHs114U1+qWZ8WvVIp3uNwmU7pmVpEU6sCplmNy4kt6yy1
 zsYOKrf9Ql2tRB/BapglNc6thCdmyWNJDgSdqMsIymfMYEOaNTnElb5aOt7l3N8oeL0X
 iGIPyRy93yU11icDr0i0ngS4ZMXLLk/fNSQWZe4WHSp+qu352BUwBwv7yGH6EinBigLO
 1uYbPS3UQ2TfmIOfCfKt10HAFRitgB+3nvRmGQ6CBaU+S0D68uAu2ZcgVQXReeI9Ys7V
 awPmwZvNdukNM8BM4mYA0xRTpCNFQbpa9J+WbFnufXMPSqM9Y6HyH9W8kRlip3Ca+CTq
 r5WA==
X-Gm-Message-State: ALyK8tJsv23qSpIKx2whLHMKWlP2COOdkoU1nd8wDEtub47ZW8MG0sgzSknXEHi7Mtl2+w==
X-Received: by 10.107.5.12 with SMTP id 12mr11824172iof.160.1468458091575;
 Wed, 13 Jul 2016 18:01:31 -0700 (PDT)
Received: from zony (206-188-64-44.cpe.distributel.net. [206.188.64.44])
 by smtp.googlemail.com with ESMTPSA id l185sm95748itd.20.2016.07.13.18.01.30
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 13 Jul 2016 18:01:31 -0700 (PDT)
From: npostavs@HIDDEN
To: Ali Abdul Ghani <blade.vp2020@HIDDEN>
Subject: Re: bug#21113: emacs Inaccessibility to Screen reader(orca)
References: <CAHWa5ufx0xfY7QG=wAdXp3jF6Bz1=qB3ZduPDi3mN8-MBc2jsA@HIDDEN>
Date: Wed, 13 Jul 2016 21:01:29 -0400
In-Reply-To: <CAHWa5ufx0xfY7QG=wAdXp3jF6Bz1=qB3ZduPDi3mN8-MBc2jsA@HIDDEN> (Ali
 Abdul Ghani's message of "Wed, 22 Jul 2015 02:08:22 -0700")
Message-ID: <877fcpf2xi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21113
Cc: 21113 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Ali Abdul Ghani <blade.vp2020@HIDDEN> writes:

> hi all
> emacs Inaccessibility to Screen reader(orca)

I can't tell what is meant by "emacs inaccessibility" exactly.  Is this
bug the same as #1015, and #4103 (Emacs gtk hangs Orca)?.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21113; Package emacs. Full text available.

Message received at 21113 <at> debbugs.gnu.org:


Received: (at 21113) by debbugs.gnu.org; 23 Jul 2015 15:35:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 23 11:35:41 2015
Received: from localhost ([127.0.0.1]:57357 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZIIX7-0007Da-IR
	for submit <at> debbugs.gnu.org; Thu, 23 Jul 2015 11:35:41 -0400
Received: from mail-wi0-f171.google.com ([209.85.212.171]:32877)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <blade.vp2020@HIDDEN>) id 1ZIIX4-0007DP-Ll
 for 21113 <at> debbugs.gnu.org; Thu, 23 Jul 2015 11:35:39 -0400
Received: by wicmv11 with SMTP id mv11so29401950wic.0
 for <21113 <at> debbugs.gnu.org>; Thu, 23 Jul 2015 08:35:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type:content-transfer-encoding;
 bh=H5/oxjEAQAcJmocBos4EtCsWAvo87CGQ0rIIs7WkzVY=;
 b=opDQTrtBfQXjLj0OwEsaDBL+Y0XbwvHsF6+UqQUDxkcfTKe18SektCz1OHvR8zz4KF
 OxLW8BAMVSoan5+yyoA8x8lzJkW/hDsj9Q6VHZ9b6sb9jvFflGen31tQL400+Nbllcee
 xUVZjkGTQoR/ir45PmP8FlsHIQ1JuoxD8iJHZwV9SuLg4iBeT0YzWorw0G7tns/o0Sfs
 lPsLxC8H195uuk03u6aLwRSCjEBTpVtl/HE/UpOStbm9UGhGQ+TpV38pSB6ZKz+UsRU/
 d8DF6uMJGHpcHfcVFbqCJ2qmi5XczM7a37+8T45+i0kZ0rOKwy55Kiemtyc+soLC0zEF
 uA8g==
MIME-Version: 1.0
X-Received: by 10.180.230.199 with SMTP id ta7mr2414887wic.1.1437665737824;
 Thu, 23 Jul 2015 08:35:37 -0700 (PDT)
Received: by 10.27.127.194 with HTTP; Thu, 23 Jul 2015 08:35:37 -0700 (PDT)
In-Reply-To: <CAAF+z6H_ZYWSGhDdvyqVBvLMGviT5PoCPuo2uYq=fqq6dbDh0Q@HIDDEN>
References: <CAHWa5ufx0xfY7QG=wAdXp3jF6Bz1=qB3ZduPDi3mN8-MBc2jsA@HIDDEN>
 <CAAF+z6H_ZYWSGhDdvyqVBvLMGviT5PoCPuo2uYq=fqq6dbDh0Q@HIDDEN>
Date: Thu, 23 Jul 2015 08:35:37 -0700
Message-ID: <CAHWa5ucfn+v1G_SXZpBZwdO38s1ZChM_7YDruCZ0cYwd719GVw@HIDDEN>
Subject: Re: bug#21113: emacs Inaccessibility to Screen reader(orca)
From: Ali Abdul Ghani <blade.vp2020@HIDDEN>
To: Xue Fuqiao <xfq.free@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 21113
Cc: 21113 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

> I'm not familiar with Orca.=C2=A0 Just FYI - you can try Emacspeak, which
> turns Emacs into a "complete audio desktop".
its not to gui

2015-07-22 21:45 =D8=AC=D8=B1=D9=8A=D9=86=D8=AA=D8=B4-07:00, Xue Fuqiao <xf=
q.free@HIDDEN>:
> Hi,
>
> I'm not familiar with Orca.  Just FYI - you can try Emacspeak, which
> turns Emacs into a "complete audio desktop".
>


--=20
Think not of them, thou hast thy music too




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21113; Package emacs. Full text available.

Message received at 21113 <at> debbugs.gnu.org:


Received: (at 21113) by debbugs.gnu.org; 23 Jul 2015 04:45:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 23 00:45:35 2015
Received: from localhost ([127.0.0.1]:56872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZI8Nz-0005N1-CM
	for submit <at> debbugs.gnu.org; Thu, 23 Jul 2015 00:45:35 -0400
Received: from mail-ie0-f177.google.com ([209.85.223.177]:35836)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq.free@HIDDEN>) id 1ZI8Nx-0005Ms-8v
 for 21113 <at> debbugs.gnu.org; Thu, 23 Jul 2015 00:45:33 -0400
Received: by iecri3 with SMTP id ri3so88634146iec.2
 for <21113 <at> debbugs.gnu.org>; Wed, 22 Jul 2015 21:45:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=VosbIiAR9RPr/BPCiPiyq3ErfMDmPQcnLg668021OJQ=;
 b=aNo3p8hqcGMG/MQr32rgKXcZxx3iUqokDVPhVdIJs1ru1o+ZqNDoQmDqtUKSwlou5u
 7Eyy3I7wtkz3OOHlA9bniI+oXjMoq01pI6595lC0xkxi4Q4XyXXdQM59sYaunuUMlabQ
 ySZg+kUtg2RYRxgaGEvAyuUHTpYGFMx063RUxCx0Kb9jQqWavE4EOrquJesDdNIqm/At
 g2iKNxapgnJH1GVRKy1wHavHE1Wa3AYMot47XwjRQtXz8fKyu+0t1KHkCDEfdo5yC91h
 HPcwsiYZcf8ajXnTm5saO5WR1Zqg5CSnzixbtE7bmNpc7RZQ45QKUv1kGzyxwylOAG/v
 +RsQ==
MIME-Version: 1.0
X-Received: by 10.107.16.223 with SMTP id 92mr10742551ioq.14.1437626732604;
 Wed, 22 Jul 2015 21:45:32 -0700 (PDT)
Received: by 10.79.95.5 with HTTP; Wed, 22 Jul 2015 21:45:32 -0700 (PDT)
In-Reply-To: <CAHWa5ufx0xfY7QG=wAdXp3jF6Bz1=qB3ZduPDi3mN8-MBc2jsA@HIDDEN>
References: <CAHWa5ufx0xfY7QG=wAdXp3jF6Bz1=qB3ZduPDi3mN8-MBc2jsA@HIDDEN>
Date: Thu, 23 Jul 2015 12:45:32 +0800
Message-ID: <CAAF+z6H_ZYWSGhDdvyqVBvLMGviT5PoCPuo2uYq=fqq6dbDh0Q@HIDDEN>
Subject: Re: bug#21113: emacs Inaccessibility to Screen reader(orca)
From: Xue Fuqiao <xfq.free@HIDDEN>
To: Ali Abdul Ghani <blade.vp2020@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21113
Cc: 21113 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi,

I'm not familiar with Orca.  Just FYI - you can try Emacspeak, which
turns Emacs into a "complete audio desktop".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21113; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jul 2015 15:27:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 22 11:27:18 2015
Received: from localhost ([127.0.0.1]:56480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZHvvR-0000Lg-SY
	for submit <at> debbugs.gnu.org; Wed, 22 Jul 2015 11:27:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:35047)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <blade.vp2020@HIDDEN>) id 1ZHq13-0006dJ-Iv
 for submit <at> debbugs.gnu.org; Wed, 22 Jul 2015 05:08:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <blade.vp2020@HIDDEN>) id 1ZHq0v-0005nm-Fa
 for submit <at> debbugs.gnu.org; Wed, 22 Jul 2015 05:08:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40705)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <blade.vp2020@HIDDEN>) id 1ZHq0v-0005nE-7x
 for submit <at> debbugs.gnu.org; Wed, 22 Jul 2015 05:08:33 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48419)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <blade.vp2020@HIDDEN>) id 1ZHq0t-00019P-76
 for bug-gnu-emacs@HIDDEN; Wed, 22 Jul 2015 05:08:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <blade.vp2020@HIDDEN>) id 1ZHq0p-0005jZ-DD
 for bug-gnu-emacs@HIDDEN; Wed, 22 Jul 2015 05:08:31 -0400
Received: from mail-ig0-x233.google.com ([2607:f8b0:4001:c05::233]:35060)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <blade.vp2020@HIDDEN>) id 1ZHq0o-0005i4-Md
 for bug-gnu-emacs@HIDDEN; Wed, 22 Jul 2015 05:08:27 -0400
Received: by igr7 with SMTP id 7so62829903igr.0
 for <bug-gnu-emacs@HIDDEN>; Wed, 22 Jul 2015 02:08:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=iS7VNwFeoQr3jaNXU7uUw5k4jJMAaJHSUoXxKTczOpM=;
 b=WPnSMvna7qU4JcRgb6l1pjvFHz25QZIopbI9ejf7k0uAb5/zG06oLrzkwOMAr7Oo8k
 ottpy+p00tu8Xi3GWY8oJiZZETEiJ+ZZuDJNUI7MC8Dtzk54OF2TmPh+RNODvp23OP50
 qzRosYwHDLE+sjuN6NJKFqjECJZ7bXjwnNPw4TdFFDh7H2y78rUB6n/QXvNTm4kPB1mc
 36qwKnRL8L03XMOzPcqdQ9+ZSGbF77nH7eBP1h99pP7U7Iq43eHt2QSrMDy2bs+ljGLn
 2DsU0+5ieACyEpcJn7J6qsIfIppgTH07H+8QEBOHdppvtkB3jUL8voUfLhDUK1WRQcHK
 mYKA==
MIME-Version: 1.0
X-Received: by 10.50.29.17 with SMTP id f17mr3763613igh.54.1437556102628; Wed,
 22 Jul 2015 02:08:22 -0700 (PDT)
Received: by 10.79.67.193 with HTTP; Wed, 22 Jul 2015 02:08:22 -0700 (PDT)
Date: Wed, 22 Jul 2015 02:08:22 -0700
Message-ID: <CAHWa5ufx0xfY7QG=wAdXp3jF6Bz1=qB3ZduPDi3mN8-MBc2jsA@HIDDEN>
Subject: emacs Inaccessibility to Screen reader(orca)
From: Ali Abdul Ghani <blade.vp2020@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 22 Jul 2015 11:27:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

hi all
emacs Inaccessibility to Screen reader(orca)
I do not know this is called bug or not
But its problem for the blinds users
It is good When I  use it without x but in x  its Inaccessibility to
Screen reader(orca)



-- 
Think not of them, thou hast thy music too




Acknowledgement sent to Ali Abdul Ghani <blade.vp2020@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21113; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 2 Sep 2016 23:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.